= amrita2 -  a xml/xhtml template library for Ruby

== Summary

Amrita2 is a a xml/xhtml template library for Ruby. 
It makes html documents from a template and a model data.

Key feature

* The template for amrita2 is a pure html/xhtml document without no
  special tag like <?...?> or <% .. %>

* The template can be written by designers using almost any xhtml/xml
  Editor.

* Need no change on Ruby code to change the view of _dynamic_ part
  (not only static part) of the template

* The model data may be standard Ruby data, Hash, Array, String... or
  an instance of a classes you made.

* The output is controlled by _data_ not by logic. So It's easy to
  write, test, debug code. (Good for eXtreamPrograming)

Amrita2 mixes a template and model data up to a html document naturally
matching the +id+ attribute of XML element to model data.

template:

   <table border="1">                      
     <tr><th>name</th><th>author</th></tr> 
     <tr id="table1">                        
       <td id="name" /><td id="author" />      
     </tr>                                 
   </table>                                
   
data:

   data = {                                               
      :table1=>[                                          
         { :name=>"Ruby", :author=>"matz" },              
         { :name=>"perl", :author=>"Larry Wall" },        
         { :name=>"python", :author=>"Guido van Rossum" },
      ]                                                   
   }                                                      

template + data = output:
 
  <table>                    
    <tr>                     
    <th>name</th>            
    <th>author</th>          
    </tr>                    
    <tr>                     
    <td>Ruby</td>            
    <td>matz</td>            
    </tr>                    
    <tr>                     
    <td>perl</td>            
    .......

== Download



* ((<Rubyforge project page|URL:http://rubyforge.org/projects/amrita2>))

== Online Documents 

* ((<README for Amrita 1.0 users|URL:README_FOR_1_0_USERS.html>))
* ((<Quick Start Guide|URL:QuickStart.html>))
* ((<Using Template Spec|URL:Spec.html>))
* ((<Reverse Engineering|URL:Reverse.html>)) ( Generate a Ruby code from XHTML document)
* ((<JavaScript Template|URL:js.html>))


* ((<ChangeLog|URL:ChangeLog>))

== sample source

* ((<hello world and simple samples|URL:http://amrita2.rubyforge.org/hello/index.html>))
* ((<using rails|URL:http://amrita2.rubyforge.org/rails/index.html>))
* ((<using template spec|URL:http://amrita2.rubyforge.org/spec/index.html>))
* ((<using JavaScript template|URL:http://amrita2.rubyforge.org/js/index.html>))

== License

Amrita2 is Copyright (c) 2005 Taku Nakajima
<tnakajima@brain-tokyo.jp>.  It is free software, and may be
redistributed under the terms specified in the README file of the Ruby
distribution.

