require "amrita2/template"
include Amrita2

TEMPLATE = <<END
<html>
<head>
<title id="title_head"></title>
</head>
<body>
<h1 id="title"></h1>
<table border="1">
  <tr><th>name</th><th>author</th><th>webpage</th></tr>
  <tr id="table">
    <td id="name"></td>
    <td id="author"></td>
    <td><a id="webpage"></a></td>
  </tr>
</table>
</body>
</html>
END

class Item < Struct.new(:name, :author, :url, :page)
  def webpage(m)
    m.webpage(page, :href=>url)
  end
end

table = File::open("bench.dat").collect do |line|
  items = line.chomp.split('|')
  Item.new(*items)
end


data = {
  :title_head => 'amrita benchmark',
  :title => 'amrita benchmark',
  :table => table
}

cnt = ARGV.shift.to_i

tmpl = TemplateText.new(TEMPLATE)

cnt.times  do
  tmpl.expand(STDOUT, data) 
end

