require "amrita2/template"
require "amrita2/js"
include Amrita2

t = JS::TemplateText.new <<-END
   <div>
      <h1 id='title'>title will be inserted here</h1>
      <p>This paragraph is static part</p>
      <p id='body'>body text will be inserted here</p>

      <ul id='list'><li id='item' /></ul>
      <table id='table' border='1'>
         <tr id='detail'><td id='a' /><td id='b' /></tr>
      </table>
      <p id='active'>For detail see<a id='link'></a></p>
   </div>
END

js = JS::CodeGenerator.new
t.js_template('tmpl', js)
jssrc = Amrita2::JS::RUNTIME_SRC + js.results.join("\n") 

tmpl = TemplateText.new <<END
<html>
<head>
<title>Amrita2 JS Hello</title>
<script id='script' language="JavaScript" type="text/javascript"></script>
<script language="JavaScript" type="text/javascript">
function debug(s) {
}

function main()
{ 
  var e = document.getElementById('body') ;
  var t = new tmpl() ;
  var data = { 
    'title': 'Hello JavaScript', 
    'body': 'This paragraph is dynamic parta and it was generated by amrita2 javascript template',
    'list': { 'item': [1,2,3] },
    'table': { 
      'detail': [
         { 'a':11 , 'b': 12 },
         { 'a':21 , 'b': 22 }
      ]
    },
    'active': function(t) {
       t.link('Amrita2 Hope Page', { 'href': 'http://amrita2.rubyforge.org/'} ) ;
    }
  } ;
  t.expand(e, data) ;
}
</script>
</head>

<body onload='main()'>
<div id='body' />
</body>
</html>
END


tmpl.expand(STDOUT, :script => Amrita2::SanitizedString[jssrc], :body=>true)



